* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
   scroll-behavior: smooth;
}
:root {
   --primary-color: #e8e8e8;
   --secondary-color: #353235;
   --accent-color: #1a1a18;
   --background-color: #141311;
   --font-family: 'Poppins', sans-serif;
}
body {
   background-color: var(--background-color);
   font-family: var(--font-family);
   color: #fff;
   padding-bottom: 0.5rem;
}
a {
   text-decoration: none;
}
nav {
   background-color: transparent;
   height: 4rem;
}
.main-home {
   display: flex;
   justify-content: center;
   margin: 5rem 15rem;
   gap: 5rem;
}
.main-left {
   flex: 1;
   padding-top: 2.5rem;
}
.main-left h1 {
   font-size: 4rem;
   
}
.main-left p {
   line-height: 1.6;
   font-size: 1.1rem;
   color: var(--primary-color);
}
.socials {
   display: flex;
   gap: 1rem;
   margin-top: 1.8rem;
   width: 100%;
}
.socials span:hover {
   outline: solid;
   outline-width: 2px;
   outline-color: #fff;
}
.ig, .ld {
   padding: 0.7rem 2rem;
   font-weight: 550;
   border-radius: 0.3rem;
   width: 100%;
   text-align: center;
   transition: all ease 0.5s;
   cursor: pointer;
   white-space: nowrap;
}
.socials .ig {
   background-color: #f46c38;
}
.socials .ld {
   background-color: #c5ff41;
   color: #020202;
}
#name {
   display: block;
   margin-top: -0.5rem;
   white-space: nowrap;
}
.more {
   text-decoration: underline;
   cursor: pointer;
}
.main-right {
   flex: 1;
}
.profile {
   width: 100%;
   max-width: 30vw;
   aspect-ratio: 1/1;
   object-fit: cover;
   border-radius: 1.5rem;
   transition: all ease 0.4s;
   cursor: pointer;
   box-shadow: rgba(177, 177, 181, 0.1) 0px 7px 29px 0px;
}
.profile:hover {
   transform: scale(1.02);
}

.projects {
   margin: 6rem 15rem;
}
.projects h1 {
   font-size: 4.5rem;
   margin-bottom: -1rem;
}
.differentiator {
   display: block;
   margin-top: -2rem;
   color: var(--secondary-color);
}
.project-child {
   display: flex;
   margin-top: 2rem;
   align-items: center;
   justify-content: space-between;
   transition: all ease 0.5s;
   padding: 1rem;
   border-radius: 1rem;
   cursor: pointer;
}
.project-child:hover {
   background-color: #020202;
   transform: scale(1.01);
}
.project-child .about-proj {
   width: 60%;
   margin-right: 10%;
   margin-left: 3.4rem;
   align-self: flex-start;
}
.about-proj h2 {
   margin-bottom: 0.2rem;
   margin-top: 0.5rem;
   font-weight: 600;
}
.about-proj p {
   color: #cacaca;
   font-weight: 400;
}

.project-child img {
   width: 13%;
   aspect-ratio: 1/1;
   object-fit: cover;
   object-position: top; 
   border-radius: 0.6rem;
}
.project-child span {
   background-color: #fff;
   color: #000;
   cursor: pointer;
   font-weight: 600;
   padding: 0.4rem 1.6rem;
   border-radius: 0.3rem;
   transition: all ease 0.5s;
   margin-right: 1rem;
   white-space: nowrap;
}
.project-child span:hover {
   background-color: #c5ff41;
}


.tech-stack {
   margin: 6rem 15rem;
}
.tech-stack h1 {
   font-size: 4.5rem;
}
.tools {
   display: grid;
   grid-template-columns: repeat(2, 1fr);
   grid-template-rows: repeat(3, auto);
   column-gap: 25px;
   row-gap: 18px;
   width: 100%; 
   margin-top: 1rem;
}
.tool {
   display: flex;
   align-items: center;
   gap: 2rem;
   padding: 1rem;
   border-radius: 0.5rem;
   transition: all ease 0.5s;
   cursor: pointer;
}
.tool:hover {
   background-color: #020202;
}
.tool img {
   width: 18%;
   background-color: #fff;
   padding: 1rem;
   border-radius: 0.8rem;
}



.blogs {
   margin: 6rem 15rem;
}
.blogs h1 {
   font-size: 4.5rem;
}
.insights {
   display: flex;
   flex-direction: column;
   gap: 1.5rem;
   margin-top: 1rem;
}
.insight {
   padding: 1rem;
   font-size: 1.1rem;
   cursor: pointer;
   transition: all ease 0.5s;
   border-radius: 1rem;
   position: relative;
}
.insight:hover {
   background-color: #020202;
   opacity: 0.8;
   transform: scale(1.01);
}
.insight p {
   max-width: 80%;
   color: #cacaca;
}
.insight h2 {
   font-size: 1.5rem;
   margin-bottom: 0.5rem;
}
.duration {
   display: flex;
   justify-content: space-between;
   margin-top: 1rem;
   font-size: 0.95rem;
}
.arrow-up-right {
   position: absolute;
   left: 94%;
   bottom: 55%;
}




.work-together {
   margin: 6rem 15rem;
   margin-bottom: 10rem;
}
.work-together h1 {
   font-size: 4.5rem;
}
.work-together form {
   display: flex;
   flex-direction: column;
   width: 100%;
   gap: 1rem;
   margin-top: 1rem;
}
.work-together input {
   padding: 0.8rem;
   border-radius: 0.5rem;
   background-color: var(--secondary-color);
   color: var(--primary-color);
   border: none;
}
.work-together input:focus {
  outline: 1px solid #f46c38;
}
.work-together label {
   padding: 0.3rem 0;
   color: #cacaca;
}
.row {
   display: flex;
   justify-content: space-between;
   gap: 1.1rem;
}
.row div {
   display: flex;
   flex-direction: column;
   width: 100%;
}
.col {
   display: flex;
   flex-direction: column;
}
.message {
   height: 8rem;
   vertical-align: text-top;
   resize: vertical;
}
#budget-select {
   padding: 0.8rem;
   border-radius: 0.5rem;
   background-color: var(--secondary-color);
   border: none;
   color: rgba(177, 177, 181, 0.6);
}
.work-together button {
   border: none;
   background-color: #f46c38;
   color: #fff;
   font-size: 0.9rem;
   font-weight: 550;
   padding: 0.8rem;
   border-radius: 0.6rem;
   margin-top: 0.6rem;
   cursor: pointer;
}



footer {
   display: flex;
   flex-direction: column;
   align-items: center;
   text-align: center;
   margin-bottom: 2.5rem;
}
footer span {
   color: #f46c38;  
   cursor: pointer;
}




#progress-bar {
  position: fixed;
  top: 0;
  left: 0;
  height: 4px;          
  width: 0%;            
  background: #f46c38;     
  z-index: 9999;        
  transition: width 0.1s ease; 
}
#stars {
  position: fixed;
  top: 0; left: 0;
  z-index: -1;
}



@media (max-width: 1024px) {
   html, body {
      overflow-x: hidden;
   }
   nav {
      height: 3rem;
   }
  .main-home {
   flex-direction: column;
   text-align: center;
   align-items: center;
   justify-content: none;
   margin: 0 1rem;
   gap: 1.5rem;
  }
  .main-left {
   width: 100%;
  }
  .main-left h1 {
   font-size: 3.2rem;
  }
  #name {
   margin-top: -0.9rem;
  }
  .main-left p {
   font-size: 1rem;
   margin: 0 auto;
   text-align: justify;
  }
  .main-right {
   flex: none;
   width: 90vw;
  }
  .profile {
   width: 100%;
   max-width: 100%;
  }
  .socials {
   flex-direction: column;
   align-items: center;
   justify-content: center;
   margin: 1rem auto;
  }


  .projects {
   margin: 2rem 1rem;
  }
  .projects h1 {
   font-size: 3.5rem;
  }
  .project-child {
   flex-direction: column;
   width: 100%;
   padding: 0.5rem;
   gap: 1rem;
   outline: solid;
   outline-width: 0.1rem;
   outline-color: #ffffff2f;
   gap: 0.5rem;
  }
  .project-child img {
   width: 100%;
  }
  .project-child .about-proj {
   width: 100%;
   text-align: left;
   margin: 0;
   margin-left: 0.2rem;
  }
  .project-child span {
   display: none;
  }


  .tech-stack {
   margin: 2rem 1rem;
  }
  .tools {
   display: flex;
   flex-direction: column;
   gap: 0.5rem;
  }
  .tool {
   width: 100%;

  }


  .blogs {
   margin: 2rem 1rem;
  }
  .work-together {
   margin: 2rem 1rem;
  }
  input,
select,
textarea{
    width:100%;
}
}